NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Features.ShipDesign.SteelSupportBuilder Class Reference

Represents a NXOpen.Features.ShipDesign.SteelSupport builder More...

Inheritance diagram for NXOpen.Features.ShipDesign.SteelSupportBuilder:
NXOpen.Features.FeatureBuilder NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  CapOptions { None, TwoSided, Symmetric }
 Does this feature have end caps, and if so what kind? More...
 
enum  CreationMethod { TwoPlanesandLines, SpecifyLine, SpecifyCsys }
 Method used to create the support feature More...
 

Public Member Functions

unsafe string[] GetAvailableAttributeMaterials ()
 Returns the list of available material attributes More...
 
unsafe string[] GetAvailableAttributeNames ()
 Returns the list of available name attributes More...
 
unsafe string[] GetAvailableCapTypes ()
 The list of available start and end cap types. More...
 
unsafe string[] GetAvailableEndCapSizes ()
 The list of available end cap sizes. More...
 
unsafe string[] GetAvailableStartCapSizes ()
 The list of available start cap sizes. More...
 
unsafe string[] GetAvailableSupportSizes ()
 The list of available sizes. More...
 
unsafe string[] GetAvailableSupportTypes ()
 The list of available support types. More...
 
- Public Member Functions inherited from NXOpen.Features.FeatureBuilder
unsafe NXOpen.Features.Feature CommitFeature ()
 Commits the feature parameters and creates the feature More...
 
unsafe NXOpen.Features.Feature GetFeature ()
 Returns the feature currently being edited by this builder. More...
 
unsafe void HideInternalParentFeatureAfterEdit (NXOpen.Features.Feature parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
unsafe void SetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited More...
 
unsafe void ShowInternalParentFeatureForEdit (NXOpen.Features.Feature parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
unsafe void UnsetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the internal parent feature of the feature being edited to external More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe NXOpen.Expression AngularDim [get]
 Returns the angular dimension used to rotate the support feature. More...
 
unsafe int AttributeMaterial [get, set]
 Returns or sets the attribute material More...
 
unsafe int AttributeName [get, set]
 Returns or sets the name attribute value More...
 
unsafe NXOpen.CoordinateSystem CoordSystem [get, set]
 Returns or sets the coord system (only used with "SpecifyCsys" creation method) More...
 
unsafe int EndCapSize [get, set]
 Returns or sets the end cap size. More...
 
unsafe NXOpen.Expression EndCapThickness [get]
 Returns the end cap thickness More...
 
unsafe int EndCapType [get, set]
 Returns or sets the end cap type. More...
 
unsafe NXOpen.Expression EndOffset [get]
 Returns the offset used to determine where the support ends (used with "SpecifyLine" and "SpecifyCsys" creation methods) More...
 
unsafe NXOpen.Plane EndPlane [get, set]
 Returns or sets the end plane (only used with "TwoPlanesandLines" creation method) More...
 
unsafe bool KeepCoordSystem [get, set]
 Returns or sets whether or not we should keep the selected csys on apply (only used with "SpecifyCsys" creation method) More...
 
unsafe bool KeepEndPlane [get, set]
 Returns or sets whether or not we should keep the selected end plane on apply (only used with "TwoPlanesandLines" creation method) More...
 
unsafe bool KeepReverseEndOffset [get, set]
 Returns or sets the keep previous reverse setting on apply (used with "SpecifyLine" and "SpecifyCsys" creation methods) More...
 
unsafe bool KeepReverseLine1Offset [get, set]
 Returns or sets the keep previous reverse setting on apply (only used with "TwoPlanesandLines" creation method) More...
 
unsafe bool KeepReverseLine2Offset [get, set]
 Returns or sets the keep previous reverse setting on apply (only used with "TwoPlanesandLines" creation method) More...
 
unsafe bool KeepReverseStartOffset [get, set]
 Returns or sets the keep previous reverse setting on apply (used with "SpecifyLine" and "SpecifyCsys" creation methods) More...
 
unsafe bool KeepSelectGuideCurve [get, set]
 Returns or sets whether or not we should keep the selected guide curve on apply (only used with "SpecifyLine" creation method) More...
 
unsafe bool KeepSelectLine1 [get, set]
 Returns or sets whether or not we should keep the selected first line on apply (only used with "TwoPlanesandLines" creation method) More...
 
unsafe bool KeepSelectLine2 [get, set]
 Returns or sets whether or not we should keep the selected second line on apply (only used with "TwoPlanesandLines" creation method) More...
 
unsafe bool KeepSelectOrientationLine [get, set]
 Returns or sets whether or not we should keep the selected orientation line on apply (only used with "SpecifyLine" creation method) More...
 
unsafe bool KeepStartPlane [get, set]
 Returns or sets whether or not we should keep the selected start plane on apply (only used with "TwoPlanesandLines" creation method) More...
 
unsafe NXOpen.Expression Line1Offset [get]
 Returns the first line offset (only used with "TwoPlanesandLines" creation method) More...
 
unsafe NXOpen.Expression Line2Offset [get]
 Returns the second line offset (only used with "TwoPlanesandLines" creation method) More...
 
unsafe
NXOpen.Features.ShipDesign.SteelSupportBuilder.CreationMethod 
PlacementMethod [get, set]
 Returns or sets the placement method used to create the feature More...
 
unsafe bool ReverseEndOffset [get, set]
 Returns or sets the reverse end offset (used with "SpecifyLine" and "SpecifyCsys" creation methods) More...
 
unsafe bool ReverseLine1Offset [get, set]
 Returns or sets the reverse first line offset (only used with "TwoPlanesandLines" creation method) More...
 
unsafe bool ReverseLine2Offset [get, set]
 Returns or sets the reverse second line offset (only used with "TwoPlanesandLines" creation method) More...
 
unsafe bool ReverseStartOffset [get, set]
 Returns or sets the reverse start offset (used with "SpecifyLine" and "SpecifyCsys" creation methods) More...
 
unsafe NXOpen.SelectTaggedObject SelectGuideCurve [get]
 Returns the select guide curve (only used with "SpecifyLine" creation method) More...
 
unsafe NXOpen.SelectTaggedObject SelectLine1 [get]
 Returns the first line (only used with "TwoPlanesandLines" creation method) More...
 
unsafe NXOpen.SelectTaggedObject SelectLine2 [get]
 Returns the second line (only used with "TwoPlanesandLines" creation method) More...
 
unsafe NXOpen.SelectTaggedObject SelectOrientationLine [get]
 Returns the orientation line (only used with "SpecifyLine" creation method) More...
 
unsafe int StartCapSize [get, set]
 Returns or sets the start cap size. More...
 
unsafe NXOpen.Expression StartCapThickness [get]
 Returns the start cap thickness More...
 
unsafe int StartCapType [get, set]
 Returns or sets the start cap type. More...
 
unsafe NXOpen.Expression StartOffset [get]
 Returns the offset used to determine where the support starts (used with "SpecifyLine" and "SpecifyCsys" creation methods) More...
 
unsafe NXOpen.Plane StartPlane [get, set]
 Returns or sets the start plane (only used with "TwoPlanesandLines" creation method) More...
 
unsafe
NXOpen.Features.ShipDesign.SteelSupportBuilder.CapOptions 
SupportCapOptions [get, set]
 Returns or sets the support cap options More...
 
unsafe int SupportSize [get, set]
 Returns or sets the support size. More...
 
unsafe int SupportType [get, set]
 Returns or sets the support type. More...
 
- Properties inherited from NXOpen.Features.FeatureBuilder
unsafe bool ParentFeatureInternal [get, set]
 Returns or sets whether or not the latest timestamped parent feature of this feature should be made internal More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.Features.ShipDesign.SteelSupport builder

To create a new instance of this class, use NXOpen.Features.ShipCollection.CreateSteelSupportBuilder

Default values.

Property Value

AngularDim.Value

0

EndCapThickness.Value

0 (millimeters part), 0 (inches part)

EndOffset.Value

0 (millimeters part), 0 (inches part)

Line1Offset.Value

0 (millimeters part), 0 (inches part)

Line2Offset.Value

0 (millimeters part), 0 (inches part)

PlacementMethod

TwoPlanesandLines

StartCapThickness.Value

0 (millimeters part), 0 (inches part)

StartOffset.Value

0 (millimeters part), 0 (inches part)

SupportCapOptions

None

Created in NX7.5.0

Member Enumeration Documentation

Does this feature have end caps, and if so what kind?

Enumerator
None 
TwoSided 
Symmetric 

Method used to create the support feature

Enumerator
TwoPlanesandLines 
SpecifyLine 
SpecifyCsys 

Member Function Documentation

unsafe string [] NXOpen.Features.ShipDesign.SteelSupportBuilder.GetAvailableAttributeMaterials ( )
inline

Returns the list of available material attributes

Created in NX7.5.0

License requirements: None.

Returns
Array of available attribute materials. These materials are specified in the customer defaults file.
unsafe string [] NXOpen.Features.ShipDesign.SteelSupportBuilder.GetAvailableAttributeNames ( )
inline

Returns the list of available name attributes

Created in NX7.5.0

License requirements: None.

Returns
Array of available attribute names. These names are specified in the customer defaults file.
unsafe string [] NXOpen.Features.ShipDesign.SteelSupportBuilder.GetAvailableCapTypes ( )
inline

The list of available start and end cap types.

Created in NX7.5.0

License requirements: None.

Returns
Array of available cap types. These names are specified by a special sketch naming convention for sketches loaded in the support cap library.
unsafe string [] NXOpen.Features.ShipDesign.SteelSupportBuilder.GetAvailableEndCapSizes ( )
inline

The list of available end cap sizes.

The available end cap sizes will change everytime the end cap type changes.

Created in NX7.5.0

License requirements: None.

Returns
Array of available end cap sizes. These names are specified by a special sketch naming convention for sketches loaded in the support cap library.
unsafe string [] NXOpen.Features.ShipDesign.SteelSupportBuilder.GetAvailableStartCapSizes ( )
inline

The list of available start cap sizes.

The available start cap sizes will change everytime the start cap type changes.

Created in NX7.5.0

License requirements: None.

Returns
Array of available start cap sizes. These names are specified by a special sketch naming convention for sketches loaded in the support cap library.
unsafe string [] NXOpen.Features.ShipDesign.SteelSupportBuilder.GetAvailableSupportSizes ( )
inline

The list of available sizes.

The available sizes will change everytime the support type changes.

Created in NX7.5.0

License requirements: None.

Returns
Array of available sizes. These names are specified by a special sketch naming convention for sketches loaded in the support library.
unsafe string [] NXOpen.Features.ShipDesign.SteelSupportBuilder.GetAvailableSupportTypes ( )
inline

The list of available support types.

Created in NX7.5.0

License requirements: None.

Returns
Array of available types. These names are specified by a special sketch naming convention for sketches loaded in the support library.

Property Documentation

unsafe NXOpen.Expression NXOpen.Features.ShipDesign.SteelSupportBuilder.AngularDim
get

Returns the angular dimension used to rotate the support feature.

Created in NX7.5.0

License requirements: None.

unsafe int NXOpen.Features.ShipDesign.SteelSupportBuilder.AttributeMaterial
getset

Returns or sets the attribute material

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: nx_ship_concept ("Ship Concept")

unsafe int NXOpen.Features.ShipDesign.SteelSupportBuilder.AttributeName
getset

Returns or sets the name attribute value

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: nx_ship_concept ("Ship Concept")

unsafe NXOpen.CoordinateSystem NXOpen.Features.ShipDesign.SteelSupportBuilder.CoordSystem
getset

Returns or sets the coord system (only used with "SpecifyCsys" creation method)

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: nx_ship_concept ("Ship Concept")

unsafe int NXOpen.Features.ShipDesign.SteelSupportBuilder.EndCapSize
getset

Returns or sets the end cap size.

Determines the cross section of the support cap.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: nx_ship_concept ("Ship Concept")

unsafe NXOpen.Expression NXOpen.Features.ShipDesign.SteelSupportBuilder.EndCapThickness
get

Returns the end cap thickness

Created in NX7.5.0

License requirements: None.

unsafe int NXOpen.Features.ShipDesign.SteelSupportBuilder.EndCapType
getset

Returns or sets the end cap type.

Determines the cross section of the support cap.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: nx_ship_concept ("Ship Concept")

unsafe NXOpen.Expression NXOpen.Features.ShipDesign.SteelSupportBuilder.EndOffset
get

Returns the offset used to determine where the support ends (used with "SpecifyLine" and "SpecifyCsys" creation methods)

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.Plane NXOpen.Features.ShipDesign.SteelSupportBuilder.EndPlane
getset

Returns or sets the end plane (only used with "TwoPlanesandLines" creation method)

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: nx_ship_concept ("Ship Concept")

unsafe bool NXOpen.Features.ShipDesign.SteelSupportBuilder.KeepCoordSystem
getset

Returns or sets whether or not we should keep the selected csys on apply (only used with "SpecifyCsys" creation method)

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: nx_ship_concept ("Ship Concept")

unsafe bool NXOpen.Features.ShipDesign.SteelSupportBuilder.KeepEndPlane
getset

Returns or sets whether or not we should keep the selected end plane on apply (only used with "TwoPlanesandLines" creation method)

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: nx_ship_concept ("Ship Concept")

unsafe bool NXOpen.Features.ShipDesign.SteelSupportBuilder.KeepReverseEndOffset
getset

Returns or sets the keep previous reverse setting on apply (used with "SpecifyLine" and "SpecifyCsys" creation methods)

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: nx_ship_concept ("Ship Concept")

unsafe bool NXOpen.Features.ShipDesign.SteelSupportBuilder.KeepReverseLine1Offset
getset

Returns or sets the keep previous reverse setting on apply (only used with "TwoPlanesandLines" creation method)

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: nx_ship_concept ("Ship Concept")

unsafe bool NXOpen.Features.ShipDesign.SteelSupportBuilder.KeepReverseLine2Offset
getset

Returns or sets the keep previous reverse setting on apply (only used with "TwoPlanesandLines" creation method)

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: nx_ship_concept ("Ship Concept")

unsafe bool NXOpen.Features.ShipDesign.SteelSupportBuilder.KeepReverseStartOffset
getset

Returns or sets the keep previous reverse setting on apply (used with "SpecifyLine" and "SpecifyCsys" creation methods)

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: nx_ship_concept ("Ship Concept")

unsafe bool NXOpen.Features.ShipDesign.SteelSupportBuilder.KeepSelectGuideCurve
getset

Returns or sets whether or not we should keep the selected guide curve on apply (only used with "SpecifyLine" creation method)

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: nx_ship_concept ("Ship Concept")

unsafe bool NXOpen.Features.ShipDesign.SteelSupportBuilder.KeepSelectLine1
getset

Returns or sets whether or not we should keep the selected first line on apply (only used with "TwoPlanesandLines" creation method)

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: nx_ship_concept ("Ship Concept")

unsafe bool NXOpen.Features.ShipDesign.SteelSupportBuilder.KeepSelectLine2
getset

Returns or sets whether or not we should keep the selected second line on apply (only used with "TwoPlanesandLines" creation method)

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: nx_ship_concept ("Ship Concept")

unsafe bool NXOpen.Features.ShipDesign.SteelSupportBuilder.KeepSelectOrientationLine
getset

Returns or sets whether or not we should keep the selected orientation line on apply (only used with "SpecifyLine" creation method)

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: nx_ship_concept ("Ship Concept")

unsafe bool NXOpen.Features.ShipDesign.SteelSupportBuilder.KeepStartPlane
getset

Returns or sets whether or not we should keep the selected start plane on apply (only used with "TwoPlanesandLines" creation method)

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: nx_ship_concept ("Ship Concept")

unsafe NXOpen.Expression NXOpen.Features.ShipDesign.SteelSupportBuilder.Line1Offset
get

Returns the first line offset (only used with "TwoPlanesandLines" creation method)

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Features.ShipDesign.SteelSupportBuilder.Line2Offset
get

Returns the second line offset (only used with "TwoPlanesandLines" creation method)

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.Features.ShipDesign.SteelSupportBuilder.CreationMethod NXOpen.Features.ShipDesign.SteelSupportBuilder.PlacementMethod
getset

Returns or sets the placement method used to create the feature

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: nx_ship_concept ("Ship Concept")

unsafe bool NXOpen.Features.ShipDesign.SteelSupportBuilder.ReverseEndOffset
getset

Returns or sets the reverse end offset (used with "SpecifyLine" and "SpecifyCsys" creation methods)

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: nx_ship_concept ("Ship Concept")

unsafe bool NXOpen.Features.ShipDesign.SteelSupportBuilder.ReverseLine1Offset
getset

Returns or sets the reverse first line offset (only used with "TwoPlanesandLines" creation method)

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: nx_ship_concept ("Ship Concept")

unsafe bool NXOpen.Features.ShipDesign.SteelSupportBuilder.ReverseLine2Offset
getset

Returns or sets the reverse second line offset (only used with "TwoPlanesandLines" creation method)

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: nx_ship_concept ("Ship Concept")

unsafe bool NXOpen.Features.ShipDesign.SteelSupportBuilder.ReverseStartOffset
getset

Returns or sets the reverse start offset (used with "SpecifyLine" and "SpecifyCsys" creation methods)

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: nx_ship_concept ("Ship Concept")

unsafe NXOpen.SelectTaggedObject NXOpen.Features.ShipDesign.SteelSupportBuilder.SelectGuideCurve
get

Returns the select guide curve (only used with "SpecifyLine" creation method)

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.SelectTaggedObject NXOpen.Features.ShipDesign.SteelSupportBuilder.SelectLine1
get

Returns the first line (only used with "TwoPlanesandLines" creation method)

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.SelectTaggedObject NXOpen.Features.ShipDesign.SteelSupportBuilder.SelectLine2
get

Returns the second line (only used with "TwoPlanesandLines" creation method)

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.SelectTaggedObject NXOpen.Features.ShipDesign.SteelSupportBuilder.SelectOrientationLine
get

Returns the orientation line (only used with "SpecifyLine" creation method)

Created in NX7.5.0

License requirements: None.

unsafe int NXOpen.Features.ShipDesign.SteelSupportBuilder.StartCapSize
getset

Returns or sets the start cap size.

Determines the cross section of the support cap.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: nx_ship_concept ("Ship Concept")

unsafe NXOpen.Expression NXOpen.Features.ShipDesign.SteelSupportBuilder.StartCapThickness
get

Returns the start cap thickness

Created in NX7.5.0

License requirements: None.

unsafe int NXOpen.Features.ShipDesign.SteelSupportBuilder.StartCapType
getset

Returns or sets the start cap type.

Determines the cross section of the support cap.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: nx_ship_concept ("Ship Concept")

unsafe NXOpen.Expression NXOpen.Features.ShipDesign.SteelSupportBuilder.StartOffset
get

Returns the offset used to determine where the support starts (used with "SpecifyLine" and "SpecifyCsys" creation methods)

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.Plane NXOpen.Features.ShipDesign.SteelSupportBuilder.StartPlane
getset

Returns or sets the start plane (only used with "TwoPlanesandLines" creation method)

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: nx_ship_concept ("Ship Concept")

unsafe NXOpen.Features.ShipDesign.SteelSupportBuilder.CapOptions NXOpen.Features.ShipDesign.SteelSupportBuilder.SupportCapOptions
getset

Returns or sets the support cap options

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: nx_ship_concept ("Ship Concept")

unsafe int NXOpen.Features.ShipDesign.SteelSupportBuilder.SupportSize
getset

Returns or sets the support size.

Determines the cross section of the support.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: nx_ship_concept ("Ship Concept")

unsafe int NXOpen.Features.ShipDesign.SteelSupportBuilder.SupportType
getset

Returns or sets the support type.

Determines the cross section of the support.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: nx_ship_concept ("Ship Concept")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.